curl
curl -sS "https://gateway.orbit/api/v1/agent/realtime" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"url": "<string>",
"address": "<string>",
"key": "<string>",
"channel": "<string>",
"log_channel": "<string>",
"member": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Node callbacks
Show the agent's Reverb connection
The orbit-agent on a managed Node calls this endpoint to find its Reverb connection. The Gateway identifies the Node from the WireGuard address and the agent’s bearer secret, and returns the Reverb URL, serving address, and app key, the Node’s presence-node.{id} channel, and the agent’s agent.{id} member ID. Connection values are null when broadcasting is not configured.
GET
/
api
/
v1
/
agent
/
realtime
curl
curl -sS "https://gateway.orbit/api/v1/agent/realtime" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"url": "<string>",
"address": "<string>",
"key": "<string>",
"channel": "<string>",
"log_channel": "<string>",
"member": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}